      real function drap(pseudo)
*
* Difference between pseudorap and rap
* as function of pt
*
* The absolute value of pseudorapidity
* is always greater than the absolute value
* of rapidity. They are equal at zero.
* 
* vector containing mass and pt
      vector par(2)
*
      theta=2*atan(1./exp(pseudo))
*
      drap=rap(pseudo)-pseudo
*
      end
      real function rap(pseudo)
*
* Rapidity as function of theta
* 
* vector containing mass and pt
      vector par(2)
*
      rmass=par(1)
      pt=par(2)
*
      y=rmass**2
      y=y+((pt*cosh(pseudo))**2)
      y=sqrt(y)
      y=y+pt*sinh(pseudo)
      y=y/sqrt(rmass**2+pt**2)
      y=log(y)
*
      rap=y
*
      end






